/*
package MyClientTests;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

import MyClient.Client;
import VmManager.Manager;
import VmManager.VM;
import static org.mockito.Mockito.*;

public class ClientTestsMockito
{
    @Test
    public void testGetVMNames()
    {
        // Arrange
        VM vm = mock(VM.class);
        when(vm.getName()).thenReturn("vm1");
        
        Manager manager = mock(Manager.class);
        List<VM> vmList = new ArrayList<VM>();
        vmList.add(vm);
        when(manager.getVMs()).thenReturn(vmList);
        
        Client client = new Client(manager);

        // Act
        List<String> names = client.getVMNames();

        // Assert
        assertEquals(1, names.size());
        assertEquals("vm1", names.get(0));
    }

    @Test
    public void TestVerifyManagerTooOld()
    {
        // Arrange
        // ??
        
        // Act
        Boolean result = Client.verifyManager();
        
        // Assert
        assertFalse(result);
    }
}
*/